| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::Client::AuthenticationTLSCertificateInterface Class Reference

`#include <TelepathyQt/TLSCertificate>`

Inheritance diagram for Tp::Client::AuthenticationTLSCertificateInterface:
[legend]

## Public Slots

QDBusPendingReply | Accept (int timeout=-1)
QDBusPendingReply | Reject (const Tp::TLSCertificateRejectionList &rejections, int timeout=-1)

## Signals

void | Accepted ()
void | Rejected (const Tp::TLSCertificateRejectionList &rejections)
Signals inherited from Tp::AbstractInterface
void | propertiesChanged (const QVariantMap &changedProperties, const QStringList &invalidatedProperties)

## Public Member Functions

| AuthenticationTLSCertificateInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
| AuthenticationTLSCertificateInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
| AuthenticationTLSCertificateInterface (Tp::DBusProxy *proxy)
| AuthenticationTLSCertificateInterface (const Tp::AbstractInterface &mainInterface)
| AuthenticationTLSCertificateInterface (const Tp::AbstractInterface &mainInterface, QObject *parent)
Tp::PendingVariant * | requestPropertyState () const
Tp::PendingVariant * | requestPropertyRejections () const
Tp::PendingVariant * | requestPropertyCertificateType () const
Tp::PendingVariant * | requestPropertyCertificateChainData () const
Tp::PendingVariantMap * | requestAllProperties () const
Public Member Functions inherited from Tp::AbstractInterface
virtual | ~AbstractInterface ()
bool | isValid () const
QString | invalidationReason () const
QString | invalidationMessage () const
void | setMonitorProperties (bool monitorProperties)
bool | isMonitoringProperties () const
Public Member Functions inherited from QDBusAbstractInterface
virtual | ~QDBusAbstractInterface ()
bool | isValid () const
QDBusConnection | connection () const
QString | service () const
QString | path () const
QString | interface () const
QDBusError | lastError () const
void | setTimeout (int timeout)
int | timeout () const
QDBusMessage | call (const QString &method, const QVariant &arg1, const QVariant &arg2, const QVariant &arg3, const QVariant &arg4, const QVariant &arg5, const QVariant &arg6, const QVariant &arg7, const QVariant &arg8)
QDBusMessage | call (QDBus::CallMode mode, const QString &method, const QVariant &arg1, const QVariant &arg2, const QVariant &arg3, const QVariant &arg4, const QVariant &arg5, const QVariant &arg6, const QVariant &arg7, const QVariant &arg8)
QDBusMessage | callWithArgumentList (QDBus::CallMode mode, const QString &method, const QList< QVariant > &args)
bool | callWithCallback (const QString &method, const QList< QVariant > &args, QObject *receiver, const char *returnMethod, const char *errorMethod)
bool | callWithCallback (const QString &method, const QList< QVariant > &args, QObject *receiver, const char *slot)
QDBusPendingCall | asyncCall (const QString &method, const QVariant &arg1, const QVariant &arg2, const QVariant &arg3, const QVariant &arg4, const QVariant &arg5, const QVariant &arg6, const QVariant &arg7, const QVariant &arg8)
QDBusPendingCall | asyncCallWithArgumentList (const QString &method, const QList< QVariant > &args)
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)

## Static Public Member Functions

static QLatin1String | staticInterfaceName ()
Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)

## Protected Member Functions

virtual void | invalidate (Tp::DBusProxy *, const QString &, const QString &)
Protected Member Functions inherited from Tp::AbstractInterface
| AbstractInterface (DBusProxy *proxy, const QLatin1String &interface)
| AbstractInterface (const QString &busName, const QString &path, const QLatin1String &interface, const QDBusConnection &connection, QObject *parent)
PendingVariant * | internalRequestProperty (const QString &name) const
PendingOperation * | internalSetProperty (const QString &name, const QVariant &newValue)
PendingVariantMap * | internalRequestAllProperties () const
Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)

## Additional Inherited Members

Protected Slots inherited from Tp::AbstractInterface
Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Authentication.TLSCertificate".

## Constructor & Destructor Documentation

Tp::Client::AuthenticationTLSCertificateInterface::AuthenticationTLSCertificateInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a AuthenticationTLSCertificateInterface associated with the given object on the session bus.

Parameters

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::AuthenticationTLSCertificateInterface::AuthenticationTLSCertificateInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a AuthenticationTLSCertificateInterface associated with the given object on the given bus.

Parameters

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::AuthenticationTLSCertificateInterface::AuthenticationTLSCertificateInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a AuthenticationTLSCertificateInterface associated with the same object as the given proxy.

Parameters

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

Tp::Client::AuthenticationTLSCertificateInterface::AuthenticationTLSCertificateInterface | ( | const Tp::AbstractInterface & | mainInterface | ) |

explicit

Creates a AuthenticationTLSCertificateInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters

  mainInterface | The proxy to use.

Tp::Client::AuthenticationTLSCertificateInterface::AuthenticationTLSCertificateInterface | ( | const Tp::AbstractInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a AuthenticationTLSCertificateInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

static QLatin1String Tp::Client::AuthenticationTLSCertificateInterface::staticInterfaceName | ( |  | ) |

inline static

Returns the name of the interface "org.freedesktop.Telepathy.Authentication.TLSCertificate", which this class represents.

Returns
  The D-Bus interface name.

Tp::PendingVariant* Tp::Client::AuthenticationTLSCertificateInterface::requestPropertyState | ( |  | ) | const

inline

Asynchronous getter for the remote object property `State` of type `uint`.

The current state of this certificate. State change notifications happen by means of the Accepted and Rejected signals.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::AuthenticationTLSCertificateInterface::requestPropertyRejections | ( |  | ) | const

inline

Asynchronous getter for the remote object property `Rejections` of type `Tp::TLSCertificateRejectionList`.

If the State is Rejected, an array of TLS_Certificate_Rejection structures containing the reason why the certificate is rejected.

If the State is not Rejected, this property is not meaningful, and SHOULD be set to an empty array.

The first rejection in the list MAY be assumed to be the most important; if the array contains more than one element, the CM MAY either use the values after the first, or ignore them.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::AuthenticationTLSCertificateInterface::requestPropertyCertificateType | ( |  | ) | const

inline

Asynchronous getter for the remote object property `CertificateType` of type `QString`.

The type of this TLS certificate (e.g. 'x509' or 'pgp'). This property is immutable

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::AuthenticationTLSCertificateInterface::requestPropertyCertificateChainData | ( |  | ) | const

inline

Asynchronous getter for the remote object property `CertificateChainData` of type `Tp::ByteArrayList`.

One or more TLS certificates forming a trust chain, each encoded as specified by Certificate_Data.

The first certificate in the chain MUST be the server certificate, followed by the issuer's certificate, followed by the issuer's issuer and so on.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariantMap* Tp::Client::AuthenticationTLSCertificateInterface::requestAllProperties | ( |  | ) | const

inline

Request all of the DBus properties on the interface.

Returns
  A pending variant map which will emit finished when the properties have been retrieved.

QDBusPendingReply Tp::Client::AuthenticationTLSCertificateInterface::Accept | ( | int | timeout = `-1` | ) |

inline slot

Begins a call to the D-Bus method `Accept` on the remote object.

Accepts this certificate, i.e. marks it as verified.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  timeout | The timeout in milliseconds.

QDBusPendingReply Tp::Client::AuthenticationTLSCertificateInterface::Reject | ( | const Tp::TLSCertificateRejectionList & | rejections,
|  | int | timeout = `-1`
| ) |  |

inline slot

Begins a call to the D-Bus method `Reject` on the remote object.

Rejects this certificate.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  rejections | The new value of the Rejections property. This MUST NOT be an empty array.
  timeout | The timeout in milliseconds.

void Tp::Client::AuthenticationTLSCertificateInterface::Accepted | ( |  | ) |

signal

Represents the signal `Accepted` on the remote object.

The State of this certificate has changed to Accepted.

void Tp::Client::AuthenticationTLSCertificateInterface::Rejected | ( | const Tp::TLSCertificateRejectionList & | rejections | ) |

signal

Represents the signal `Rejected` on the remote object.

The State of this certificate has changed to Rejected.

Parameters

  rejections

      The new value of the Rejections property.

void Tp::Client::AuthenticationTLSCertificateInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  |

protected virtual

Reimplemented from Tp::AbstractInterface.